Subject: Re: linux-next: build warning after merge of the hwmon-staging tree

From: Zev Weiss <[email-masked]>
Date: Tue, 10 May 2022 03:47:06 -0700

On Tue, May 10, 2022 at 03:11:04AM PDT, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the hwmon-staging tree, today's linux-next build (powerpc
> allyesconfig) produced this warning:
> 
> WARNING: unmet direct dependencies detected for SENSORS_NCT6775
>   Depends on [n]: HWMON [=y] && !PPC [=y] && (ACPI_WMI [=n] || ACPI_WMI [=n]=n)
>   Selected by [y]:
>   - SENSORS_NCT6775_I2C [=y] && HWMON [=y] && I2C [=y]
> 
> Probably introduced by commit
> 
>   58f1d9ebfce6 ("hwmon: (nct6775) Add i2c driver")
> 

Ah -- yes, thanks.  The Kconfig symbols in that patch series underwent 
some changes between revisions during review and I missed a couple of 
places that should have been updated.  I believe the patch below should 
fix it.

Thanks,
Zev

>From 817067c631ca7c7537be4bd18b0c9b5d2b735e54 Mon Sep 17 00:00:00 2001
From: Zev Weiss <[email-masked]>
Date: Tue, 10 May 2022 03:22:20 -0700
Subject: [PATCH] hwmon: (nct6775) Fix Kconfig references in
 SENSORS_NCT6775_I2C

In the process of renaming some Kconfig symbols during the review
process a couple of updates got omitted.  Make the i2c driver select
the correct dependency (the core module, not the platform driver), and
refer to the intended symbol for the platform driver in its help text.

Signed-off-by: Zev Weiss <[email-masked]>
---
 drivers/hwmon/Kconfig | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/drivers/hwmon/Kconfig b/drivers/hwmon/Kconfig
index fe49dccf16bf..590d3d550acb 100644
--- a/drivers/hwmon/Kconfig
+++ b/drivers/hwmon/Kconfig
@@ -1506,7 +1506,7 @@ config SENSORS_NCT6775_I2C
 	tristate "I2C driver for Nuvoton NCT6775F and compatibles"
 	depends on I2C
 	select REGMAP_I2C
-	select SENSORS_NCT6775
+	select SENSORS_NCT6775_CORE
 	help
 	  If you say yes here you get support for the hardware monitoring
 	  functionality of the Nuvoton NCT6106D, NCT6775F, NCT6776F, NCT6779D,
@@ -1514,7 +1514,7 @@ config SENSORS_NCT6775_I2C
 	  Super-I/O chips via their I2C interface.
 
 	  If you're not building a kernel for a BMC, this is probably
-	  not the driver you want (see CONFIG_SENSORS_NCT6775_PLATFORM).
+	  not the driver you want (see CONFIG_SENSORS_NCT6775).
 
 	  This driver can also be built as a module. If so, the module
 	  will be called nct6775-i2c.
-- 
2.36.0